Bug 870977 - Review Request: glassfish-jaxws - JAX-WS Reference Implementation (RI) Project
Review Request: glassfish-jaxws - JAX-WS Reference Implementation (RI) Project
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On: 845735 859110 859111 859112 865787 869504 869610 871021 871023
Blocks: 915864
  Show dependency treegraph
 
Reported: 2012-10-29 06:15 EDT by gil cattaneo
Modified: 2013-06-03 15:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: glassfish-jaxws-2.2.7-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-02 23:45:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-10-29 06:15:56 EDT
Spec URL: http://gil.fedorapeople.org/glassfish-jaxws.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-jaxws-2.2.7-1.fc16.src.rpm
Description: 
This project provides the core of Metro project,
inside GlassFish community. This project develops and
evolves the code base for the reference implementation of
the Java API for XML Web Services (JAX-WS) specification.

Fedora Account System Username: gil
Comment 1 Tom "spot" Callaway 2013-05-17 10:26:41 EDT
You are missing BuildRequires: ant-findbugs

Please regenerate the SRPM and I'll finish this review.
Comment 2 gil cattaneo 2013-05-17 13:52:40 EDT
Spec URL: http://gil.fedorapeople.org/glassfish-jaxws.spec
SRPM URL: http://gil.fedorapeople.org/glassfish-jaxws-2.2.7-1.fc18.src.rpm

- added missing BR: ant-findbugs
Comment 4 Tom "spot" Callaway 2013-05-21 11:04:24 EDT
= Review =

Good:

- rpmlint checks return:
glassfish-jaxws.src: W: invalid-url Source0: glassfish-jaxws-2.2.7-src-svn.tar.xz

Safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license ((CDDL or GPLv2 with exceptions) and ASL 2.0 and Public Domain) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (manual diff okay, due to svn source)
- package compiles on f19 (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- javadocs okay
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED.
Comment 5 gil cattaneo 2013-05-21 12:14:21 EDT
Thanks for review

New Package SCM Request
=======================
Package Name: glassfish-jaxws
Short Description: JAX-WS Reference Implementation (RI) Project
Owners: gil
Branches: f18 f19
InitialCC: java-sig
Comment 6 Gwyn Ciesla 2013-05-21 12:25:49 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-05-24 19:58:55 EDT
glassfish-jaxws-2.2.7-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glassfish-jaxws-2.2.7-1.fc19
Comment 8 Fedora Update System 2013-05-25 15:05:34 EDT
glassfish-jaxws-2.2.7-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-06-02 23:45:13 EDT
glassfish-jaxws-2.2.7-1.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.